Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Reactions

Get Comment Reactions
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}/reactions
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}/reactions
Get a list of content comment reactions.
Default sort is by type in ascending order.

type - This field displays the type of the reaction. Currently, the available types to filter on are:
  • Like
  • Love
  • Haha
  • Wow
  • Sad
  • Angry

Please note: Comments and reactions must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
type string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"ea9fbe91-d615-4031-9bcf-1279e74cb552","userId":"bfd1fcce-226c-4c93-b96d-ea64454113c2","type":"Angry","creationDateTime":"2026-10-16T08:31:31.498134+00:00"},{"id":"618f3074-bf11-4d91-86ab-6837fbbbe3f3","userId":"a80acf9b-3d8d-4397-abfd-7d5720d0bbd7","type":"Like","creationDateTime":"2026-10-16T09:31:31.498134+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   type string      
   userId string / guid      
  nextUrl string      
  previousUrl string